#!/usr/bin/python

# 

#     rmcvs delete svn files
#     Copyright (C) 2008 Valerio Benfante

#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 

import os
from stat import *
import shutil

def rm_cvs(start):
	for f in os.listdir(start):
		path=start + "/" + f;
		attrb=os.stat(path)[ST_MODE];
		if S_ISDIR(attrb):
			if(f in ".svn"):
				print "removing %s" % (path)
				shutil.rmtree(path);
			else:
				rm_cvs(path);		


rm_cvs(".");
